OpenTTD AI API: AICargoList_StationAccepting Class Reference

OpenTTD AI API 15.0-RC2

Public Member Functions
AICargoList_StationAccepting Class Reference

Creates a list of cargoes that the given station accepts. More...

`#include <script_cargolist.hpp>`

Inheritance diagram for AICargoList_StationAccepting:

## Public Member Functions
| AICargoList_StationAccepting (StationID station_id)
Public Member Functions inherited from AIList
void | AddItem (int item, int value)
| Add a single item to the list.
void | RemoveItem (int item)
| Remove a single item from the list.
void | Clear ()
| Clear the list, making Count() returning 0 and IsEmpty() returning true.
bool | HasItem (int item)
| Check if an item is in the list.
int | Begin ()
| Go to the beginning of the list and return the item.
int | Next ()
| Go to the next item in the list and return the item.
bool | IsEmpty ()
| Check if a list is empty.
bool | IsEnd ()
| Check if there is a element left.
int | Count ()
| Returns the amount of items in the list.
int | GetValue (int item)
| Get the value that belongs to this item.
bool | SetValue (int item, int value)
| Set a value of an item directly.
void | Sort (SorterType sorter, bool ascending)
| Sort this list by the given sorter and direction.
void | AddList (AIList *list)
| Add one list to another one.
void | SwapList (AIList *list)
| Swap the contents of two lists.
void | RemoveAboveValue (int value)
| Removes all items with a higher value than 'value'.
void | RemoveBelowValue (int value)
| Removes all items with a lower value than 'value'.
void | RemoveBetweenValue (int start, int end)
| Removes all items with a value above start and below end.
void | RemoveValue (int value)
| Remove all items with this value.
void | RemoveTop (int count)
| Remove the first count items.
void | RemoveBottom (int count)
| Remove the last count items.
void | RemoveList (AIList *list)
| Remove everything that is in the given list from this list (same item index that is).
void | KeepAboveValue (int value)
| Keep all items with a higher value than 'value'.
void | KeepBelowValue (int value)
| Keep all items with a lower value than 'value'.
void | KeepBetweenValue (int start, int end)
| Keep all items with a value above start and below end.
void | KeepValue (int value)
| Keep all items with this value.
void | KeepTop (int count)
| Keep the first count items, i.e.
void | KeepBottom (int count)
| Keep the last count items, i.e.
void | KeepList (AIList *list)
| Keeps everything that is in the given list from this list (same item index that is).
void | Valuate (function valuator_function,...)
| Give all items a value defined by the valuator you give.

## Additional Inherited Members
Public Types inherited from AIList
enum | SorterType { SORT_BY_VALUE , SORT_BY_ITEM }
| Type of sorter. More...
Static Public Attributes inherited from AIList
static const bool | SORT_ASCENDING = true
| Sort ascending.
static const bool | SORT_DESCENDING = false
| Sort descending.

## Detailed Description

Creates a list of cargoes that the given station accepts.

## Constructor & Destructor Documentation

## ◆ AICargoList_StationAccepting()

AICargoList_StationAccepting::AICargoList_StationAccepting | ( | StationID | station_id | ) |

Parameters

  station_id | The station to get the list of cargoes it accepts from.